% mittelwerte3.m
% Kapitel 2.5.2 Lokale und globale Variablen
%         Beispiel

function [out1, out2] = mittelwerte3 (x)

global SCHALTER                    % Definiert globale Variable

out1 = mean(x);                    % Arithmetisches Mittel
out2 = prod(x).^(1/length(x));     % Geometrisches Mittel 

if ~isempty (SCHALTER)
    if SCHALTER == 'g' 
        out1 = out2;               % Gibt geometrisches Mittel aus
    end      
    out2 = [];
end